Subject: Re: A sudden lack of permission

From: Ivan Uemlianin <[email-masked]>
Date: Mon, 27 Sep 2010 17:16:43 +0100

Dear Peff

Thanks for your help.

Yes, I can ssh onto the server, cd to /var/www/git/my_repos.git and add, 
edit files, etc.

There is another person on the box doing sysadmin.  I'll ask.

Is there any reason the repos could have just broken somehow?  A corrupt 
push?

Best wishes

Ivan

On 27/09/2010 17:07, Jeff King wrote:
> On Mon, Sep 27, 2010 at 03:52:52PM +0100, Ivan Uemlianin wrote:
>
>> I have been using git quite happily for a good while, pushing to my
>> remote.  Suddenly this afternoon the remote told me I didn't have
>> permission:
>>
>>      $ git push
>>      [email-masked]'s password:
>>      Counting objects: 19, done.
>>      Delta compression using up to 2 threads.
>>      Compressing objects: 100% (11/11), done.
>>      Writing objects: 100% (11/11), 1.04 KiB, done.
>>      Total 11 (delta 8), reused 0 (delta 0)
>>      error: insufficient permission for adding an object to repository
>> database ./objects
>>
>>      fatal: failed to write object
>>      error: unpack failed: unpack-objects abnormal exit
>>      To [email-masked]:/var/www/git/my_repos.git
>>       ! [remote rejected] master ->  master (n/a (unpacker error))
>>      error: failed to push some refs to
>> [email-masked]:/var/www/git/my_repos.git'
>>
>> I had sufficient permission even this morning!
>>
>> Please could someone tell me what might have happened and, more
>> importantly, how I can start pushing to the remote again?  The
>> project in my_repos is large, so I'd rather not start a new repos
>> from scratch.
> Presumably the permissions on the server changed for some reason. Can
> you ssh to the remote host and confirm that user "ivan" has permissions
> to write to the repo's objects dir? If not, then you will have to figure
> out what happened, but it is likely outside the scope of git (e.g., an
> overly inclusive chmod by some cron job or admin on the box).
>
> If you do have permissions, then we will have to dig deeper into why git
> would fail, but the permissions would appear fine.
>
> -Peff

-- 
============================================================
Ivan A. Uemlianin
Speech Technology Research and Development

                     [email-masked]
                      www.llaisdy.com
                          llaisdy.wordpress.com
                      www.linkedin.com/in/ivanuemlianin

     "Froh, froh! Wie seine Sonnen, seine Sonnen fliegen"
                      (Schiller, Beethoven)
============================================================